<?php use_helper('UrlFunctions'); ?>
<?php use_helper( 'IncludePartial' ); ?>
<?php use_helper( 'UtilFunctions' ); ?>
<style>
  .ui-autocomplete-loading { background: white url("<?php echo Constantes::ROOT_DIR_IMG ?>common/progress.gif") right center no-repeat; }
</style>
<style>
.header { background-color: #E1E1E1; color: #444444; font-family: Arial,Helvetica,sans-serif; font-size: 11px; font-weight: bold; }
.pager { background-color: #F4F4F4; background-image: none; border-bottom: thin solid #999999; }
</style>
<style type="text/css">
.marcoTabActive {
  /*background:#F1F1F1 none repeat scroll 0 0;*/
  background:#A3C1E0 none repeat scroll 0 0;  font-family:Geneva, Arial, Helvetica, sans-serif;  font-size:14px;  border-top-width: 1px;
  border-right-width: 1px;  border-left-width: 1px;  border-top-style: solid;  border-right-style: solid;  border-left-style: solid;  border-top-color: #999999;
  border-right-color: #999999;  border-left-color: #999999;  font-weight: bold;  /*color:#990000;*/
}
.label { color: #444444; }
.lblSmall { color: #8D8D8D; font-size: 10px; padding-right: 8px; }
</style>
<style>
.codigoItem{ color: blue; text-decoration: underline; cursor: pointer; }
.codigoItem:hover{ text-decoration: none; cursor: pointer; }
</style>
<script>
mostrarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'inline'; }
ocultarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'none'; }

mostrarMensajeError = function( s_MensajeError )
{
    $( "#resultContent" ).html( '<div id="mensaje_error_content" class="error">' + s_MensajeError + '</div>' );
    setTimeout( function(){ $( "#mensaje_error_content" ).fadeOut( 800 ).fadeIn( 800 ).fadeOut( 500 ).fadeIn( 500 ).fadeOut( 300 ); }, 4000 );
}
</script>

<script type="text/javascript">
Abrirpagina = function()
{
    window.open('<?=buildUrl( 'pro/printPDF', 'vHtml=1&i_Id='.$o_VTA_DocumentoBN->getIdConcat() )?>', '_blank', '');
}

verPDFOrdenVenta = function()
{
    window.open('<?=buildUrl( 'pro/printPDF', 'i_Id='.$o_VTA_DocumentoBN->getIdConcat() )?>', '_blank', '');
}

clonarDocumentoVenta = function()
{
    x = confirm( "Esta seguro de copiar la Orden?" );
    if( x )
    {
        blockContent( 'content_buttons' );
        blockContent( 'content_result_grid1' );

        var IdTipoDocumento  = $( "#IdTipoDocumento" ).val();
        var FechaDocumento   = $( "#FechaDocumento" ).val();
        var TipoDocumentoCod = $( "#TipoDocumentoCod" ).val();
        var DocumentoSerie   = $( "#DocumentoSerie" ).val();
        var DocumentoNumero  = $( "#DocumentoNumero" ).val();

        var str_serialize = "id=<?=$i_Id?>&IdTipoDocumento=" + IdTipoDocumento + "&TipoDocumentoCod=" + TipoDocumentoCod + "&DocumentoSerie=" + DocumentoSerie + "&DocumentoNumero=" + DocumentoNumero + "&FechaDocumento=" + FechaDocumento;
        
        executeAjaxJson
        (
            "<?php echo buildUrl( 'pro/copiarDocumento' ) ?>",
            str_serialize,
            function( o_json )
            {
                pr( o_json );
                unBlockContent( 'content_result_grid1' );
                unBlockContent( 'content_buttons' );
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                //location.href = "<?php echo buildUrl( 'pro/detailVta', "i_Id=" ) ?>" + o_json.id;
                window.open('<?=buildUrl( 'pro/detailVta', 'i_Id=' )?>' + o_json.id, '_blank', '');
                location.reload();
            }
        );
    }
}
preClonacionOrden = function()
{
    $( '#dialog6' ).dialog( 'open' );
}
</script>

<div class="titleBody descripProy" style="width: 100%; display: inline-block; padding-left: 0px; padding-right: 0px; ">
    <ul style="display: inline-block; width: 100%;">
        <li>
            <!--<?=$s_Titulo?> <br>-->
            <!--
            <input class="ui-button ui-widget ui-corner-all" style="height: 25px; font-size: 10px;" type="button" value="..." onclick="preActualizarOrden();">
            -->
            <span title="Comprobante" style="color: #fc6d00;font-size: 20px;padding: 0 9px;">
                [ <?=$o_VTA_DocumentoBN->getNumeroDocumento()?> ] <?=$o_VTA_DocumentoBN->getDocumentoTipoSerieNumero()?>
            </span> |
            <span title="Moneda" style="color: #fc6d00;font-size: 20px;padding: 0 9px;"><?=GSS_MonedaMastFN::getSiglaxId( $o_VTA_DocumentoBN->getMonedaDocumento() )?></span> |
            <span title="Fecha Comprobante" style="color: #fc6d00;font-size: 20px;padding: 0 9px;"><?=$o_VTA_DocumentoBN->getFechaDocumento();?></span> |
            <?php if( $o_VTA_DocumentoBN->getObjectCaja() ){ ?>
            <span title="Caja" style="color: #fc6d00;font-size: 20px;padding: 0 9px;"><?=$o_VTA_DocumentoBN->getObjectCaja()->getDescripcion();?></span> |
            <?php } ?>
            <?php if( $o_VTA_DocumentoBN->getObjectTurno() ){ ?>
            <span title="Turno" style="color: #fc6d00;font-size: 20px;padding: 0 9px;"><?=$o_VTA_DocumentoBN->getObjectTurno()->getDescripcion();?></span>
            <?php } ?>
        </li>
    </ul>
</div>

<script type="text/javascript">
procesarDocumento = function()
{
    /*x = confirm( "Esta seguro de enviar al Proveedor?" );
    if( x )
    {*/
        $( '#myIframe' ).attr( 'src', '<?=buildUrl( 'fael/procAPI', 'externo=1&id='.$NumeroDocumento )?>' );
        $( '#dialog' ).dialog( 'open' );
    //}
}

recargarPagina = function()
{
    verPDFOrdenVenta();
    location.reload();
}


</script>

<script>
var b_ControlBuscarSerie = true;
recuperarInfoVentaSerie = function()
{
    if( b_ControlBuscarSerie )
    {
        var value = $( "#IdTipoDocumento" ).val();
        executeAjaxJson
        ( 
            '<?php echo buildUrl( 'pro/request' ) ?>', 
            'TipoProc=getSerieNumero&IdTipoDocumento=' + value, 
            function( o_json )
            {
                pr( o_json );
                if( o_json.error )
                {
                    alert( o_json.mensaje_error );
                    return false;
                }
                if( o_json.Result )
                {
                    $( "#DocumentoSerie" ).val( o_json.Serie );
                    $( "#DocumentoNumero" ).val( o_json.Numero );
                    $( "#TipoDocumentoCod" ).val( o_json.TipoDocumentoCod );
                }
            }
        );
    }        
}
</script>

<div id="dialog6">
    <table border="0" cellspacing="5" cellpadding="0" style=""  width="100%">
        <tr>
            
            <td nowrap="nowrap" width="" align="center">
                <label class="label req" for="IdTipoDocumento" >Clase</label>
                <select class="combo required" id="IdTipoDocumento" name="IdTipoDocumento" onchange="recuperarInfoVentaSerie();" style="">
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( $a_VTA_TipoDocumento as $i_Key => $o_VTA_TipoDocumentoBN ){ ?>
                    <option value="<?=$o_VTA_TipoDocumentoBN->getIdTipoDocumento()?>" > <?=$o_VTA_TipoDocumentoBN->getDescripcionLocal() ?> </option>
                    <?php } ?>
                </select>
                <label class="label req" for="IdTipoDocumento" >Fecha</label>
                <input type="text" class="text required text0" name="FechaDocumento" id="FechaDocumento" value="<?=date( "Y-m-d" )?>" style="width:25%; text-align:center; color: #fc6d00; font-size: 12px; font-weight: bold;" readonly/>
                <script type="text/javascript">
                $( "#FechaDocumento" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-1:+1", changeMonth: true, onClose: function ( s_date ){ this.focus(); $( "#FechaVencimiento" ).val( s_date ); } } );
                </script>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap" class="" colspan="2" align="left">
                <input type="hidden" name="TipoDocumentoCod" id="TipoDocumentoCod" class="notin" value="">

                <label class="label req" for="DocumentoSerie" >Serie :</label>
                <input type="text" class="text notin" name="DocumentoSerie" id="DocumentoSerie" style="width:20%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="" readonly>
                &nbsp;
                <label class="label req" for="DocumentoNumero" >N&uacute;mero :</label>
                <input type="text" class="text notin" name="DocumentoNumero" id="DocumentoNumero" style="width:45%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="" readonly>
            </td>
        </tr>
        <tr>
            <td align="center"> <input type="button" value="Clonar Documento" class="ui-button ui-corner-all ui-widget notin" onclick="clonarDocumentoVenta()"> </td>
        </tr>
    </table>
</div>
<script>
    objMainTab.modalUIDialog( "#dialog6", { title : "Clonar Documento", width : 500, height  : 170, modal : true } );
</script>

<script>
var b_ControlBuscarSerie = true;
recuperarInfoVentaSerie2 = function()
{
    if( b_ControlBuscarSerie )
    {
        var value = $( "#IdTipoDocumento2" ).val();
        executeAjaxJson
        ( 
            '<?php echo buildUrl( 'pro/request' ) ?>', 
            'TipoProc=getSerieNumero&IdTipoDocumento=' + value, 
            function( o_json )
            {
                pr( o_json );
                if( o_json.error )
                {
                    alert( o_json.mensaje_error );
                    return false;
                }
                if( o_json.Result )
                {
                    $( "#DocumentoSerie2" ).val( o_json.Serie );
                    $( "#DocumentoNumero2" ).val( o_json.Numero );
                    $( "#TipoDocumentoCod2" ).val( o_json.TipoDocumentoCod );
                }
            }
        );
    }
}
actualizarDocumentoH = function()
{
    x = confirm( "Esta seguro de cambiar tipo de Documento?" );
    if( x )
    {
        blockContent( 'content_buttons' );
        blockContent( 'content_result_grid1' );

        var IdTipoDocumento  = $( "#IdTipoDocumento2" ).val();
        var TipoDocumentoCod = $( "#TipoDocumentoCod2" ).val();
        var DocumentoSerie   = $( "#DocumentoSerie2" ).val();
        var DocumentoNumero  = $( "#DocumentoNumero2" ).val();
        var FechaDocumento   = $( "#FecDoc" ).val();

        var str_serialize = "id=<?=$i_Id?>&IdTipoDocumento=" + IdTipoDocumento + "&TipoDocumentoCod=" + TipoDocumentoCod + "&DocumentoSerie=" + DocumentoSerie + "&DocumentoNumero=" + DocumentoNumero + "&FechaDocumento=" + FechaDocumento;
        
        executeAjaxJson
        (
            "<?php echo buildUrl( 'pro/actualizarDocumentoH' ) ?>",
            str_serialize,
            function( o_json )
            {
                pr( o_json );
                unBlockContent( 'content_result_grid1' );
                unBlockContent( 'content_buttons' );
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                //location.href = "<?php echo buildUrl( 'pro/detailVta', "i_Id=" ) ?>" + o_json.id;
                //window.open('<?=buildUrl( 'pro/detailVta', 'i_Id=' )?>' + o_json.id, '_blank', '');
                location.reload();
            }
        );
    }
}
preActualizarOrden = function()
{
    $( '#dialog7' ).dialog( 'open' );
}
</script>

<div id="dialog7">
    <table border="0" cellspacing="5" cellpadding="0" style=""  width="100%">
        <tr>
            
            <td nowrap="nowrap" width="100%" align="center">
                <label class="label req" for="IdTipoDocumento2" >Clase</label>
                <select class="combo required" id="IdTipoDocumento2" name="IdTipoDocumento2" onchange="recuperarInfoVentaSerie2();" style="">
                    <option value=""> - Seleccione - </option>
                    <?php foreach ( $a_VTA_TipoDocumento as $i_Key => $o_VTA_TipoDocumentoBN ){ ?>
                    <option value="<?=$o_VTA_TipoDocumentoBN->getIdTipoDocumento()?>" > <?=$o_VTA_TipoDocumentoBN->getDescripcionLocal() ?> </option>
                    <?php } ?>
                </select>
                <label class="label req" for="FecDoc" >Fecha</label>
                <input type="text" class="text" name="FecDoc" id="FecDoc" value="<?=substr( $o_VTA_DocumentoBN->getFechaDocumento(), 0, 10 )?>" style="text-align:center; color: #fc6d00; font-size: 12px; " />
                <script type="text/javascript">
                $( "#FecDoc" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-1:+1", changeMonth: true, onClose: function (){ this.focus(); } } );
                </script>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap" class="" colspan="2" align="left">
                <input type="hidden" name="TipoDocumentoCod2" id="TipoDocumentoCod2" class="notin" value="">

                <label class="label req" for="DocumentoSerie2" >Serie :</label>
                <input type="text" class="text notin" name="DocumentoSerie2" id="DocumentoSerie2" style="width:20%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="" readonly>
                &nbsp;
                <label class="label req" for="DocumentoNumero2" >N&uacute;mero :</label>
                <input type="text" class="text notin" name="DocumentoNumero2" id="DocumentoNumero2" style="width:45%; text-align:center; color: #fc6d00; font-size: 20px; font-weight: bold;" value="" readonly>
            </td>
        </tr>
        <tr>
            <td align="center"> <input type="button" value="Actualizar" class="ui-button ui-corner-all ui-widget notin" onclick="actualizarDocumentoH();"> </td>
        </tr>
    </table>
</div>
<script>
    objMainTab.modalUIDialog( "#dialog7", { title : "Cambiar Tipo de Documento", width : 500, height  : 170, modal : true } );
</script>

<div id="dialog8">
    <table border="0" cellspacing="5" cellpadding="0" style=""  width="100%">
        <tr>
            <td nowrap="nowrap" width="45%" align="center">
                <label class="label req" for="IdTipoDocumento2" >No Lote</label>
                <input type="text" class="text" name="num_lote_alias" id="num_lote_alias" >
                <input type="hidden" class="text" name="id_det" id="id_det" >
            </td>
        </tr>
        <tr>
            <td align="center"> <input type="button" value="Actualizar" class="ui-button ui-corner-all ui-widget notin" onclick="executeUpdateLoteAlias();"> </td>
        </tr>
    </table>
</div>
<script>
executeUpdateLoteAlias = function()
{
    blockContent( 'content_buttons' );
    blockContent( 'content_result_grid1' );

    var num_lote_alias = $( "#num_lote_alias" ).val();
    var id_det = $( "#id_det" ).val();
    var str_serialize = "id_det=" + id_det + "&num_lote_alias=" + num_lote_alias + "&TipoProc=actualizarLoteAlias";
        
    executeAjaxJson
    (
        "<?php echo buildUrl( 'pro/request' ) ?>",
        str_serialize,
        function( o_json )
        {
            pr( o_json );
            unBlockContent( 'content_result_grid1' );
            unBlockContent( 'content_buttons' );
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            executeFindDetail();
            $( '#dialog8' ).dialog( 'close' );
        }
    );
}

openPopupLoteAlias = function( id_det )
{
    $( "#num_lote_alias" ).val( "" );
    $( "#id_det" ).val( id_det );
    $( '#dialog8' ).dialog( 'open' );
}

objMainTab.modalUIDialog( "#dialog8", { title : "Lote a Imprimir", width : 350, height  : 130, modal : true } );
</script>

<script type="text/javascript">
actualizarFormaPagoList = function()
{
    //$( '#iframe_formpago' ).attr( 'src', '<?=buildUrl( 'pro/listfco', 'idnumdoc='.$o_VTA_DocumentoBN->getNumeroDocumento() )?>' );
}
</script>

<table class="cuerpo" width="99%" border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td valign="top">
            <form id="form1" name="form1" method="POST" onsubmit="return false;"  enctype="multipart/form-data">
                <input type="hidden" name="s_TipoProc" id="s_TipoProc" value="<?=$s_TipoProc?>">
                <input type="hidden" name="i_Id" id="i_Id" value="<?=$i_Id?>">
                <input type="hidden" name="TypeSub" id="TypeSub" value="0">
                
                <input type="hidden" name="IdAlmacen" id="IdAlmacen" value="<?=$o_VTA_DocumentoBN->getIdAlmacen()?>">
                <input type="hidden" name="IdCompania" id="IdCompania" value="<?=$o_VTA_DocumentoBN->getIdCompania()?>">
                
                <table class="" width="100%">
                    <tr>
                        <td valign="top">
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td>


                                        <div id="tabs" style="width: 100%; margin-top: 10px; font-family: Geneva,Arial,Helvetica,sans-serif; font-size: 12px;">
                                            <ul>
                                                <li><a href="#tabs-1" aria-controls="info_general">General</a></li>
                                                <li><a href="#tabs-2" aria-controls="buscar_log" onclick="actualizarFormaPagoList();">Log</a></li>
                                            </ul>
                                            <div id="tabs-1">
                                                <iframe width="100%" height="255" frameborder="0" align="middle" id="info_general" src="<?=buildUrl( 'pro/listfco', 'idnumdoc='.$o_VTA_DocumentoBN->getNumeroDocumento() )?>"></iframe>
                                            </div>
                                            <div id="tabs-2">
                                                <iframe width="100%" height="255" frameborder="0" align="middle" id="buscar_log" src="<?=buildUrl( 'pro/buscarLog', 'id='.$i_Id )?>"></iframe>

                                            </div>
                                        </div>

<script type="text/javascript">
//var tabs = $( "#tabs" ).tabs();
$( "#tabs" ).tabs
(
    {
        activate: function ( event, ui ) 
        {
            var id_content = $( event.currentTarget ).attr( "aria-controls" );
            pr( id_content );

            if( id_content == "info_general" )
            {
                $( '#' + id_content ).attr( "src", "<?=buildUrl( 'pro/listfco', 'idnumdoc='.$o_VTA_DocumentoBN->getNumeroDocumento() )?>" );
            }
            if( id_content == "buscar_log" )
            {
                $( '#' + id_content ).attr( "src", "<?=buildUrl( 'pro/buscarLog', 'id='.$i_Id )?>" );
            }

            event.preventDefault()
            //$( this ).tab( 'show' );
            //$( "#tabs" ).tabs( 'show' );
        }
    }
);
</script>

                                    </td>
                                </tr>

                                <tr><td>&nbsp;</tr>
                                    
                                <tr>
                                    <td class="marco">
                                    
                                        <div id="resultContent" style=""></div>
                                        
                                        <div>
                                            <?php if( is_null( $o_VTA_DocumentoBN->getEstado() ) || $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_PREPARACION ){ ?>
                                            <table class="marco" width="100%" border="0" style="">
                                                <tr>
                                                    <td nowrap="nowrap">
                                                        <table  border="0" cellpadding="0" cellspacing="0" width="100%">
                                                            <tr>
                                                                <td width="50%">
                                                                    <div>
                                                                    <input id="btnAgregar" type="button" class="button" value="Agregar Item" onclick=""/>
                                                                    <script>
                                                                    $( "#btnAgregar" )
                                                                    .click
                                                                    (
                                                                        function()
                                                                        {
                                                                            //console.log( 132 );
                                                                            /*
                                                                            $( "#content_nvo" ).html( $( "#content_copy_nvo" ).html() );
                                                                            $( "#content_nvo tr #IdItem" ).on( "keyup", eventoPopup );
                                                                            $( "#content_nvo tr #IdItem" ).on( "blur", executeFindItem );
                                                                            $( "#content_nvo tr #IdItem" ).focus();
                                                                            */
                                                                            openPopup();
                                                                        }
                                                                    );
                                                                    </script>
                                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                                    <input id="btnAgregar" type="button" class="button" value="Agregar Promo / Pack" onclick="openPopup2();"/>
                                                                    <div id="divImagenLoad2" style="display:none;"><img src="<?php echo Constantes::ROOT_DIR_APP ?>web/images/progress.gif" border="0"/></div>
                                                                    </div>
                                                                </td>
                                                                <td width="50%" align="right">
                                                                    <!--
                                                                    <input id="btnAgregarPromo" type="button" class="button" value="Ingresar Descuento" onclick=""/>
                                                                    <script>
                                                                    $( "#btnAgregarPromo" )
                                                                    .click
                                                                    (
                                                                        function()
                                                                        {
                                                                            $( '#myIframe3' ).attr( 'src', '<?=buildUrl( 'pro/ingPromo', "i_Id=$i_Id" )?>' );
                                                                            $( '#dialog3' ).dialog( 'open' );
                                                                        }
                                                                    );
                                                                    </script>
                                                                    -->
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                            <?php } ?>

                                            <div id="content_result_grid1">
                                                <table class="grid" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="border-bottom: 1px solid #999999;">
                                                    <tbody id="">
                                                        <tr>
                                                            <td width="2%"  align="center" class="header"><b>No</b></td>
                                                            <td width="10%" align="center" class="header"><b>C&oacute;digo</b></td>
                                                            <td width="20%" align=""       class="header"><b>Descripci&oacute;n</b></td>
                                                            <td width="10%" align="center" class="header"><b>Lote</b></td>
                                                            <td width="8%" align="center" class="header"><b>Stock</b></td>

                                                            <td width="8%" align="center" class="header"><b>Cant.Pedida</b></td>
                                                            <!--<td width="8%" align="center" class="header"><b>Cant.Pedida Uni</b></td>-->

                                                            <!--<td width="8%" align="center" class="header"><b>U.Medida</b></td>-->
                                                            <td width="8%" align="center" class="header"><b>Precio</b></td>
                                                            <td width="8%" align="center" class="header"><b>Ex.Imp</b></td>
                                                            <td width="8%" align="center" class="header"><b>Total</b></td>
                                                            <td width="5%"  align="center" class="header">&nbsp;</td>
                                                        </tr>
                                                    </tbody>
                                                    <tbody id="content_nvo">
                                                    </tbody>
                                                </table>
                                            </div>

                                        </div>
                                    
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
</table>

<div class="titleBody descripProy" style="width: 100%; display: inline-block; padding-left: 0px; padding-right: 0px; margin-bottom: 10px;">
    <div style="text-align: center; display: inline-block; width: 100%; float: right;" id="content_buttons">
        <!--<input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Nuevo" onclick="location.href='<?=buildUrl( 'pro/addedit', "s_TipoProc=nvo" ) ?>'">-->
        <?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_PREPARACION ){ ?>
        <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Facturar" onclick="facturarOrdenVenta();">
        <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Cancelar" onclick="cancelarOrdenVenta();">
        <?php } elseif ( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_CERRADO ) { ?>
        <!--<input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Anular" onclick="anularOrdenVenta();">-->
        <?php } ?>
        <?php //if( $o_VTA_DocumentoBN->getIdTipoDocumento() == "PE" ){ ?>
        
        <!--<input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Copiar" onclick="preClonacionOrden();">-->
        
        <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="PDF Plantilla" onclick="verPDFOrdenVenta();">
        <?php if ( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_CERRADO ) { ?>
            <!--
            <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Enviar Proveedor" onclick="procesarDocumento();">
            <?php $o_VTA_FacturacionElectronicaBN = $o_VTA_DocumentoBN->getObjetFacturacionElectronica(); ?>
            <?php if( $o_VTA_FacturacionElectronicaBN ){ ?>
                <?php if( $o_VTA_FacturacionElectronicaBN->getPDFResult() ){ ?>
            <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Imprimir PDF" onclick="verPDFOrdenVenta();">
                <?php } ?>
            <?php } ?>
            -->
        <?php } ?>
        <!--<input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Imprimir PDF" onclick="verPDFOrdenVenta();">-->
        <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Ver Resumen" onclick="Abrirpagina();">
        <?php //} ?>

        <?php if( $s_TipoProc != "shw" ){ ?>
        <input class="ui-button ui-widget ui-corner-all" style="font-size: 0.7em;" type="button" value="Salir" onclick="location.href='<?php echo buildUrl( $s_UrlSalir ) ?>'">
        <?php } ?>
    </div>
</div>

<table cellpadding="0" cellspacing="0" width="100%" border="0" style="">
    <tr>
        <td align="center" >

            <?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_PREPARACION ){ ?>
            <!--<input type="button" class="button" value="Facturar" onclick="facturarOrdenVenta();">-->
            <?php } ?>
            
            <!-- BOTON PARA IMRPIMIR -->
            <?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_CERRADO ){ ?>
                <?php if( $o_VTA_DocumentoBN->getIdTipoDocumento() != "TB" && $o_VTA_DocumentoBN->getIdTipoDocumento() != "TF" ){ ?>
                    <!--
                        <span style="font-size: 12px;margin-right: 10px;">
                            <input id="btnImprimir" type="button" 
                                    class="button <?php if( $o_VTA_DocumentoBN->getImpresionPendienteFlag() == "C" ){ echo "text0"; } ?>" 
                                    <?php if( $o_VTA_DocumentoBN->getImpresionPendienteFlag() == "C" ){ echo "disabled"; } ?>
                                    value="Imprirmir Documento" 
                                    onclick="crearArchivoParaImprimirGuia()">
                        </span>
                    -->
                <?php } ?>
            <?php } ?>
            <!-- FIN BOTON PARA IMRPIMIR -->
            
            <div id="s_ImagenLoad" style="display: none;"><img src="<?php echo Constantes::ROOT_DIR_APP ?>web/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Procesando...</label></div>
        </td>
    </tr>
</table>

<div id="content_result_grid_pl1" style="display:none;">
    <table class="grid" cellspacing="0" cellpadding="0" borde r="0" align="center" width="100%" style="border-bottom: 1px solid #999999;">
        <tbody id="content_copy_nvo">
            <tr>
                <td align="center">&nbsp;</td>
                <td align="center"><input type="text" class="text" name="IdItem" id="IdItem" value="" style="width: 85%; text-align: center;" ></td>
                <td align="" id="DescripcionCompleta">&nbsp;</td>
                <!-- <td align="center">
                    <select class="combo" name="IdLote" id="IdLote" onchange="buscarStockActual( this );" style="width: 90%;">
                    </select>
                </td> -->
                <td align="center" id="ItemStock" style="cursor:pointer; color:#2743B2; text-decoration:underline;" onclick="buscarResumenStock( $( '#content_nvo tr #IdItem' ).val() );">&nbsp;</td>
                <td align="center" id="IdUnidad">&nbsp;</td>
                <td align="center">
                    <!--<input type="text" class="text number" name="CantidadPedida" id="CantidadPedida" value="" style="width: 60%; text-align: center;" 
                                                           onkeypress="return NumCheckDecimal( event, this );">-->
                    <input type="text" class="text number" name="CantidadPedida" id="CantidadPedida" value="" style="width: 60%; text-align: center;" 
                                                           onkeypress="return NumCheckDecimal( event, this );"
                                                           onfocus="this.select()"
                                                           >
                    
                    <input type="hidden" name="CantidadPedidaUni" id="CantidadPedidaUni" value="0"/>
                </td>

                <td align="center" id="IdUnidad">&nbsp;</td>
                
                <!--<td align="center">
                    <input type="text" class="text number" name="CantidadPedidaUni" id="CantidadPedidaUni" value="" style="width: 60%; text-align: center;" 
                                                           onkeypress="return NumCheckEntero( event, this );">
                </td>-->
                
                
                <td align="center">
                    <input type="text" class="text number" name="PrecioUnitario" id="PrecioUnitario" value="" readonly="readonly" 
                    									   style="width: 60%; text-align: center;" 
                                                           onkeypress="return NumCheckDecimal( event, this );">
                </td>
                <td align="center" id="AfectoImpuesto2Flag">&nbsp;</td>
                <td align="center">&nbsp;</td>
                <td align="center">
                    <input type="hidden" name="NoAfectoImpuestoVentasFlag" id="NoAfectoImpuestoVentasFlag" value=""/>
                    <input type="button" id="btnGuardar" class="button" value="Guardar" onclick="executeSaveOrderDetail( this );">
                </td>
            </tr>
        </tbody>
    </table>
</div>

<?php 
if( $o_VTA_DocumentoBN->getObjectCompania()->getEnviarProveedorAutoFlag() == "Y" )
{
    if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_ANULADO )
    {
        $o_VTA_FacturacionElectronicaBN = $o_VTA_DocumentoBN->getObjetFacturacionElectronica();
        if( $o_VTA_FacturacionElectronicaBN->getAceptadaxSunat() == "SI" )
        {
            if( $o_VTA_FacturacionElectronicaBN->getAnuAceptadaPorSunat() == "NO" )
            {
                ?> <script type="text/javascript"> procesarDocumento(); </script> <?php
            }
        }
        else
        {
            ?> <script type="text/javascript"> mostrarMensajeError( "El Comprobante esta Anulado, pero tiene que estar aceptado por Sunat para dar su baja." ); </script> <?php
        }
    }
}
?>

<?=crearPopupResumenStock( array( "name_function"=>"buscarResumenStock" ) )?>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog", "iframe_id"=>"myIframe", "popup_title"=>"Buscar Item", "modal"=>true ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog2", "iframe_id"=>"myIframe2", "popup_title"=>"Lista de Precios", "popup_width"=>"400", "popup_height"=>"350", "modal"=>true ) )?>
<?=crearFuentePopupIframe( array( "div_id"=>"dialog3", "iframe_id"=>"myIframe3", "popup_title"=>"Ingreso de Descuento", "popup_width"=>"400", "popup_height"=>"200", "modal"=>true ) )?>

<?=crearFuentePopupIframe( array( "div_id"=>"dialog4", "iframe_id"=>"myIframe4", "popup_title"=>"Buscar Producto", "modal"=>true ) )?>

<script type="text/javascript">
crearArchivoParaImprimirGuia = function()
{
    x = confirm( "Esta seguro que desea imprimir EL Documento?" );
    if( x )
    {
        mostrarCargaImg();
        //blockContent( "form1" );
        
        var strFormSerialize = $( 'form' ).serialize();
        strFormSerialize += "&TipoProc=CrearArchivoPrintDocumento";
        
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'pro/request' ) ?>", 
            strFormSerialize,
            function( o_json )
            {
                console.log( o_json );
                //unBlockContent( "form1" );
                ocultarCargaImg();
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                imprimirEnLocalhost( o_json.nombre_archivo );
            } 
        );
    }
}
imprimirEnLocalhost = function( nombre_archivo )
{
    mostrarCargaImg();
    //blockContent( "form1" );
    
    var strFormSerialize = $( 'form' ).serialize();
    strFormSerialize += "&nombre_archivo=" + nombre_archivo + "";
    
    console.log( JSON.stringify( strFormSerialize ) );

    $.ajax
    (
        {
            url: "http://localhost/print_doc/imprimir_guia.php",
            type: "POST",
            crossDomain: true,
            //data: JSON.stringify( strFormSerialize ),
            data: strFormSerialize,
            dataType: "json",
            success: function ( o_json ) 
            {
                console.log( o_json );
                //unBlockContent( "form1" );
                ocultarCargaImg();
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                actualizarDocumentoFiscalGuiaRem();
            },
            error: function ( xhr, status ) 
            {
                alert( "Se produjo un error, la respuesta del servidor no fue lo esperado." );
                console.log( arguments );
                ocultarCargaImg();
            }
        }
    );
}
actualizarDocumentoFiscalGuiaRem = function()
{
    mostrarCargaImg();
    blockContent( "form1" );
    
    var strFormSerialize = $( 'form' ).serialize();
    strFormSerialize += "&TipoProc=ConfirmacionTicket&EstadoConfirm=C";
    
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request' ) ?>", 
        strFormSerialize,
        function( o_json )
        {
            console.log( o_json );
            unBlockContent( "form1" );
            ocultarCargaImg();
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            //AHORA BLOQUEAMOS EL BOTON IMPRIMIR
            $( "#btnImprimir" ).prop( 'disabled', true );
            $( "#btnImprimir" ).addClass( "text0" );
        } 
    );
}
</script>

<script>
cambiarPrecio = function( id_item, secuencia )
{
    console.log( id_item );
    $( '#myIframe2' ).attr( 'src', '<?=buildUrl( 'pro/listPrecio', "i_Id=$i_Id&IdItem=" )?>' + id_item + "/Secuencia/" + secuencia );
    $( '#dialog2' ).dialog( 'open' );
}
</script>

<script>
cancelarOrdenVenta = function()
{
    x = confirm( "Esta seguro de cancelar la Orden?" );
    if( x )
    {
        mostrarCargaImg();
        var strFormSerialize = "i_Id=<?=$i_Id?>";
        executeAjaxJson( 
                            "<?php echo buildUrl( 'pro/anularDocumento' ) ?>", 
                            strFormSerialize,
                            function( o_json )
                            {
                                if( o_json.error )
                                {
                                    ocultarCargaImg();
                                    mostrarMensajeError( o_json.mensaje_error );
                                    return false;
                                }
                                location.reload();
                            } 
                       );
    }
}

anularOrdenVenta = function()
{
    $("span.ui-dialog-title").text( 'Anulacion de Documento' ); 
    $( '#myIframe2' ).attr( 'src', '<?=buildUrl( 'pro/annulDoc', 'i_Id='.$i_Id )?>' );
    $( '#dialog2' ).dialog( 'open' );
    /*
    x = confirm( "Esta seguro de anular la Orden?" );
    if( x )
    {
        mostrarCargaImg();
        var strFormSerialize = "i_Id=<?=$i_Id?>&estado=AN";
        executeAjaxJson( 
                            "<?php echo buildUrl( 'pro/anularDocumento' ) ?>", 
                            strFormSerialize,
                            function( o_json )
                            {
                                if( o_json.error )
                                {
                                    ocultarCargaImg();
                                    mostrarMensajeError( o_json.mensaje_error );
                                    return false;
                                }
                                location.reload();
                            } 
                       );
    }
    */
}

findControl = function()
{
    //aqui se puede definir varias cosas, por que lo llaman externos
    <?php if( $o_VTA_DocumentoBN->getObjectCompania()->getEnviarProveedorAutoFlag() == "Y" ){ ?>
    //procesarDocumento();
    <?php }else{ ?>
    //location.reload();
    
    <?php } ?>
    /////////////////////////////////////////////////////////////////

    closeWindow();

    //aqui pregunto si se tiene la url de la facturacion electronica
    /*executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request', "" ) ?>", 
        "",
        function( o_json )
        {

        }
    );*/
}

closeWindow = function()
{
    $( '#dialog2' ).dialog( 'close' );
    location.reload();
}

facturarOrdenVenta = function()
{
    /*if( $( "#IdFormaPago" ).val() == "" )
    {
        alert( "Debe de Seleccionar la Forma de Pago para el Documento." );
        return false;
    }*/
    //VALIDACIO POR LOTES SELECCIONADOS
    var b_ControlSave = true;
    var a_elm_lotes = $( "#content_detail" ).find( "select[name='IdLote[]']" );
    $.each
    (
        a_elm_lotes, function( index, item )
        {
            if( $( item ).val() == "" )
            {
                var s_descripcion_item = $( $( item ).closest( 'tr' ) ).find( 'td:eq( 2 )' ).html();
                alert( "El Producto \"" + s_descripcion_item + "\" le falta Seleccionar el Lote. Por favor, Fijese en el Producto la Fecha de Vencimiento." )
                b_ControlSave = false;
                return false;
            }
        }
    );
    if( !b_ControlSave )
    {
        return false;
    }
    
    x = confirm( "Esta seguro de Facturar la Orden?" );
    if( x )
    {
        blockContent( "form1" );
        blockContent( "content_buttons" );
        //mostrarCargaImg();
        var strFormSerialize = "i_Id=<?=$i_Id?>";
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'pro/facturarOrden' ) ?>", 
            strFormSerialize,
            function( o_json )
            {
                console.log( o_json );
                if( o_json.error )
                {
                    if( o_json.mensaje_numero == "001" )
                    {
                        alert( o_json.mensaje_error );
                        //location.href = "<?php echo buildUrl( 'pro/addedit', "s_TipoProc=upd&i_Id=".$i_Id ) ?>";
                        location.reload();
                    }
                    //ocultarCargaImg();
                    mostrarMensajeError( o_json.mensaje_error );
                    unBlockContent( "form1" );
                    unBlockContent( "content_buttons" );
                    return false;
                }
                <?php if( $o_VTA_DocumentoBN->getObjectCompania()->getEnviarProveedorAutoFlag() == "Y" ){ ?>
                procesarDocumento();
                <?php }else{ ?>
                location.reload();
                <?php } ?>
                //location.href = "<?php echo buildUrl( 'pro/detailVta', "i_Id=".$i_Id ) ?>";
            } 
        );
    }
}
buscarStockActualxLinea = function( elm_sel )
{
    var item_id   = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='IdItem[]']" ).val();
    var lote_id   = $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdLote[]']" ).val();
    var i_Id      = $( "#i_Id" ).val();
    var Secuencia = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='Secuencia[]']" ).val();

    var str_serialize = "TipoProc=getStockActual&IdItem=" + item_id + "&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&IdLote=" + lote_id + "&i_Id=" + i_Id + "&Secuencia=" + Secuencia;
    $( '#divImagenLoad2' ).css( 'display', 'inline-block' );
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request' ) ?>", 
        str_serialize,
        function( o_json )
        {
            $( '#divImagenLoad2' ).hide();
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                executeFindDetail();
                return false;
            }
            if( o_json.result )
            {
                $( $( elm_sel ).closest( 'tr' ) ).find( 'td:eq( 5 )' ).html( o_json.StockActual );
                //$( $( elm_sel ).closest( 'tr' ) ).find( "input[name='FechaVencimiento[]']" ).val( o_json.FechaVencimientoLote );
                //setTimeout( '$( $( global_elm ).closest( "tr" ) ).find( "input[name=\'Cantidad[]\']" ).focus();', 50 );
                //actualizarLotexLinea( elm_sel );
            }
        } 
    );
}
actualizarLotexLinea = function( elm_sel )
{
    var item_id   = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='IdItem[]']" ).val();
    var lote_id   = $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdLote[]']" ).val();
    var i_Id      = $( "#i_Id" ).val();
    var IdAlmacen = $( "#IdAlmacen" ).val();
    var Secuencia = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='Secuencia[]']" ).val();

    var str_serialize = "TipoProc=actualizarLotexLinea&IdItem=" + item_id + "&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&IdLote=" + lote_id + "&i_Id=" + i_Id + "&Secuencia=" + Secuencia;
    $( '#divImagenLoad2' ).css( 'display', 'inline-block' );
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request' ) ?>", 
        str_serialize,
        function( o_json )
        {
            $( '#divImagenLoad2' ).hide();
            console.log( o_json );
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                executeFindDetail();
                return false;
            }
            //buscarStockActualxLinea( elm_sel );
            executeFindDetail();
        } 
    );    
}
actualizarCantidadxLinea = function( elm_sel )
{
    var item_code       = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='IdItem[]']" ).val();
    //var s_CodigoBarra   = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='CodigoBarras[]']" ).val();
    //var CantidadPedida  = elm_sel.value;
    var CantidadPedida  = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='Cantidad[]']" ).val();
    var CantidadRef     = $( elm_sel ).attr( "cantref" );
    var lote_id         = $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdLote[]']" ).val();
    var unidad_id       = $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdUnidad[]']" ).val();
    var Secuencia       = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='Secuencia[]']" ).val();
    var i_Id            = $( "#i_Id" ).val();
    var IdAlmacen       = $( "#IdAlmacen" ).val();

    if( item_code != "" )
    {
    	$( '#divImagenLoad2' ).css( 'display', 'inline-block' );
        
        //var str_serialize = "s_TipoProc=upd&CodigoBarra=" + s_CodigoBarra + "&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&i_Id=" + i_Id + "&Secuencia=" + Secuencia + "&CantidadPedida=" + CantidadPedida + "&IdItem=" + item_code;
        var str_serialize = "s_TipoProc=upd&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&IdLote=" + lote_id + "&i_Id=" + i_Id + "&Secuencia=" + Secuencia + "&CantidadPedida=" + CantidadPedida + "&IdItem=" + item_code + "&IdMedida=" + unidad_id;
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'pro/saveVtaDetail' ) ?>", 
            str_serialize,
            function( o_json )
            {
            	$( '#divImagenLoad2' ).hide();
            	$( "#CodigoBarras" ).val( "" );
                if( o_json.error )
                {
                    $( elm_sel ).val( CantidadRef );
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                executeFindDetail();
                b_GuardarItem = false;
                setTimeout( '$( "#CodigoBarras" ).focus()', 50 );
            } 
       );
    }
}
</script>

<script>
b_GuardarItem = false;
executeFindItem = function()
{
    console.log( "executeFindItem" );
    var item_code       = $( "#content_nvo tr #IdItem" ).val();
    var s_almacen_id    = $( "#IdAlmacen" ).val()
    var str_serialize   = "s_ItemId=" + item_code + "&IdAlmacen=" + s_almacen_id;
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/findItem' ) ?>", 
        str_serialize,
        function( o_json )
        {
            console.log( o_json );
            //ocultarCargaImg();
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            if( o_json.result )
            {
                b_GuardarItem = true;
                $( "#content_nvo tr #DescripcionCompleta" ).html( o_json.DescripcionCompleta );
                $( "#content_nvo tr #AfectoImpuesto2Flag" ).html( o_json.NoAfectoImpuestoVentasFlag );
                $( "#content_nvo tr #IdUnidad" ).html( o_json.UnidadVenta );
                $( "#content_nvo tr #ItemStock" ).html( o_json.ItemStock );
                $( "#content_nvo tr #NoAfectoImpuestoVentasFlag" ).val( o_json.NoAfectoImpuestoVentasFlag );
                //ahora el precio de venta
                $( "#content_nvo tr #PrecioUnitario" ).val( o_json.PrecioVenta );

                //cargar el lote:
                $( "#content_nvo tr #IdLote" )[0].options.length = 0;
                if( o_json.a_Lotes )
                {
                    $.each
                    (
                        o_json.a_Lotes, function( index, item )
                        {
                            $( "#content_nvo tr #IdLote" ).append( "<option value=" + item.IdLote + ">" + item.IdLote + " - " + item.FechaVencimiento + "</option>" );
                            //$( $( elm_sel ).closest( 'tr' ) ).find( "input[name='FechaVencimiento[]']" ).val( item.FechaVencimiento );
                            //console.log( $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdLote[]']" ) );
                            //console.log( item );
                        }
                    );
                    $( "#content_nvo tr #IdLote" ).trigger( "change" ); //CON ESTE ENVENTO SE REGISTRA AUTOMATICAMENTE
                }
            }
        } 
    );
}
buscarStockActual = function( elm_sel )
{
    var item_id = $( "#content_nvo tr #IdItem" ).val();
    var lote_id = $( "#content_nvo tr #IdLote" ).val();
    
    var str_serialize = "TipoProc=getStockActual&IdItem=" + item_id + "&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&IdLote=" + lote_id;
    $( '#divImagenLoad2' ).css( 'display', 'inline-block' );
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/request' ) ?>", 
        str_serialize,
        function( o_json )
        {
            console.log( o_json );
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                executeFindDetail();
                return false;
            }
            if( o_json.result )
            {
            	$( "#content_nvo tr #ItemStock" ).html( o_json.StockActual );
            	$( "#content_nvo tr #CantidadPedida" ).val( 1 );
                //setTimeout( '$( "#content_nvo tr #CantidadPedida" ).focus();', 50 );
                //setTimeout( '$( "#content_nvo tr #CantidadPedida" ).val( 1 );', 60 );
            	setTimeout( '$( "#content_nvo tr #btnGuardar" ).click();', 20 );           //AQUI SE EMULA CLICK GUARDAR
            	setTimeout( "$( '#divImagenLoad2' ).hide();", 25 );
            }
        } 
    );
}

LimpiarValores = function()
{
    /*
    $( "#content_nvo tr #DescripcionCompleta" ).html( "&nbsp;" );
    $( "#content_nvo tr #AfectoImpuesto2Flag" ).html( "&nbsp;" );
    $( "#content_nvo tr #IdUnidad" ).html( "&nbsp;" );
    $( "#content_nvo tr #ItemStock" ).html( "&nbsp;" );
    $( "#content_nvo tr #NoAfectoImpuestoVentasFlag" ).val( "" );
    $( "#content_nvo tr #IdItem" ).val( "" );
    $( "#content_nvo tr #IdItem" ).focus();
    */
    executeFindItem();
}
eventoPopup = function( object )
{
    //console.log( object );
    if( object.which === 107 ) 
    {
        object.target.value = "";
        openPopup();
    }
}
openPopup = function()
{
    //se recupera el id del almacen seleccionado.
    var i_Id        = $( "#i_Id" ).val();
    var s_almacen_id = $( "#IdAlmacen" ).val();
    console.log( s_almacen_id );
    
    $( '#myIframe' ).attr( 'src', '<?=buildUrl( 'pro/listItem' )?>' + 'moneda_cod/<?=$o_VTA_DocumentoBN->getMonedaDocumento()?>/IdAlmacen/' + s_almacen_id + "/i_Id/" + i_Id );
    $( '#dialog' ).dialog( 'open' );
}
openPopup2 = function()
{
    //popup para las promociones
    var i_Id         = $( "#i_Id" ).val();
    var s_almacen_id = $( "#IdAlmacen" ).val();
    
    $( '#myIframe' ).attr( 'src', '<?=buildUrl( 'pro/listPromo' )?>' + 'moneda_cod/<?=$o_VTA_DocumentoBN->getMonedaDocumento()?>/IdAlmacen/' + s_almacen_id + "/i_Id/" + i_Id );
    $( '#dialog' ).dialog( 'open' );
}
closePopup = function()
{
    $( '#dialog' ).dialog( 'close' );
}
//asignarValores = function( id_item, item_descripcion, id_lote, id_unidad )
asignarValores = function( id_item, item_descripcion, id_unidad )
{
    console.log( arguments );
    $( '#dialog' ).dialog( 'close' );
    
    var i_Id        = $( "#i_Id" ).val();
    var IdAlmacen   = $( "#IdAlmacen" ).val();
        
    //str_serialize = "i_Id=" + i_Id + "&IdAlmacen=" + IdAlmacen + "&IdItem=" + id_item + "&IdLote=" + id_lote + "&IdMedida=" + id_unidad;
    str_serialize = "i_Id=" + i_Id + "&IdAlmacen=" + IdAlmacen + "&IdItem=" + id_item + "&IdMedida=" + id_unidad;
    console.log( str_serialize );
    
    $( '#divImagenLoad2' ).css( 'display', 'inline-block' );
    blockContent( 'content_detail' );
    
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/saveVtaDetail' ) ?>", 
        str_serialize,
        function( o_json )
        {
            console.log( o_json );
            $( '#divImagenLoad2' ).hide();
            unBlockContent( 'content_detail' );
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            executeFindDetail();
            b_GuardarItem = false;
        } 
    );
    
    /*$( "#content_nvo tr #IdItem" ).val( id_item );
    $( "#content_nvo tr #DescripcionCompleta" ).html( item_descripcion );
    $( "#content_nvo tr #IdItem" ).trigger( "blur" );*/
}
asignarPromocionValores = function( id_item )
{
    pr( arguments );
    $( '#dialog' ).dialog( 'close' );

    var i_Id        = $( "#i_Id" ).val();
    var IdAlmacen   = $( "#IdAlmacen" ).val();

    str_serialize = "i_Id=" + i_Id + "&IdAlmacen=" + IdAlmacen + "&IdItem=" + id_item;

    $( '#divImagenLoad2' ).css( 'display', 'inline-block' );
    blockContent( 'content_result_grid1' );
    
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'pro/guardarPromocion' ) ?>", 
        str_serialize,
        function( o_json )
        {
            console.log( o_json );
            $( '#divImagenLoad2' ).hide();
            unBlockContent( 'content_result_grid1' );
            if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            executeFindDetail();
            b_GuardarItem = false;
        } 
    );
}
</script>
<script>
validacionPrecio = function( v_PrecioValue )
{
    if( v_PrecioValue == "" )
    {
        alert( "Precio vacia." );
        return false;
    }
    if( !$.isNumeric( v_PrecioValue ) )
    {
        alert( "Precio no valida." );
        return false;
    }
    var f_Precio = parseFloat( v_PrecioValue );
    if( f_Precio <= 0 )
    {
        alert( "El Precio ingresado no es valida." );
        return false;
    }
    return true;
}
validacionCantidad = function( v_CantValue )
{
    if( v_CantValue == "" )
    {
        alert( "Cantidad vacia." );
        return false;
    }
    if( !$.isNumeric( v_CantValue ) )
    {
        alert( "Cantidad no valida." );
        return false;
    }
    i_Cant = parseInt( v_CantValue );
    if( i_Cant < 1 )
    {
        alert( "La cantidad ingresada no es valida." );
        return false;
    }
    return true;
}
executeSaveOrderDetail = function( elm_sel )
{
    if( b_GuardarItem )
    {
        //var elm = $( '#content_nvo' ).find( "input[name='CantidadPedida']" );
        //var b_Return = validacionCantidad( elm.val() );
        //if( !b_Return ) return false;
        
        //var elm = $( '#content_nvo' ).find( "input[name='PrecioUnitario']" );
        //var b_Return = validacionPrecio( elm.val() );
        //if( !b_Return ) return false;
        //var s_CodigoBarra   = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='CodigoBarras[]']" ).val();
        //var CantidadPedida  = $( $( elm_sel ).closest( 'tr' ) ).find( "input[name='CodigoBarras[]']" ).val();
        //var lote_id         = $( $( elm_sel ).closest( 'tr' ) ).find( "select[name='IdLote[]']" ).val();
        
        var str_serialize = $( $( elm_sel ).closest( 'tr' ) ).find( "input, select" ).serialize();
        
        var i_Id = $( "#i_Id" ).val();
        var IdAlmacen       = $( "#IdAlmacen" ).val();
        
        //var str_serialize = $( '#form1' ).serialize();
        //var str_serialize = "s_TipoProc=upd&CodigoBarra=" + s_CodigoBarra + "&IdCompania=" + $( "#IdCompania" ).val() + "&IdAlmacen=" + $( "#IdAlmacen" ).val() + "&IdLote=" + lote_id + "&i_Id=" + i_Id + "&CantidadPedida=" + CantidadPedida;
        str_serialize += "&i_Id=" + i_Id + "&s_TipoProc=nvo&IdAlmacen=" + IdAlmacen;
        console.log( str_serialize );
        
        executeAjaxJson
        ( 
            "<?php echo buildUrl( 'pro/saveVtaDetail' ) ?>", 
            str_serialize,
            function( o_json )
            {
                console.log( o_json );
                //ocultarCargaImg();
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                executeFindDetail();
                b_GuardarItem = false;
            } 
        );
    }
    else
    {
        alert( "No se puede guardar." );
    }
}
executeFindDetail = function()
{
    var i_Id = $( "#i_Id" ).val();
    
    var a_Params = [];
    a_Params.push( "i_Id=" + i_Id );

    var noedit = "<?=$s_TipoProc=='shw'?'0':'1'?>";
    
    executeAjaxUpdater
    ( 
        "content_result_grid1", 
        "<?php echo buildUrl( 'pro/findDetailVta' ) ?>", 
        a_Params.join( "&" ) + '&noedit=' + noedit, 
        function( response )
        {
            <?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_CERRADO || $s_TipoProc == "shw" ){ ?>
            //_.delay( function( msg ) {  }, 5000, 'Hello' );
            cancelarAutocomplete();
            convertirTextoTodosLosInputs();
            <?php } ?>
        } 
    );
}
executeDeleteDetail = function( i_Id )
{
    x = confirm( "Esta seguro de eliminar el detalle?" );
    if( x )
    {
        a_Params = [];
        a_Params.push( "i_Id=" + i_Id );
        executeAjaxJson
        ( 
            "<?=buildUrl( 'pro/deleteDetailVta' )?>", 
            a_Params.join( "&" ), 
            function( o_json )
            {
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return true;
                }
                executeFindDetail();
            } 
        );
    }
}
</script>

<script type="text/javascript">
//aqui se elimina el autocomplete
cancelarAutocomplete = function()
{
    $( "#form1 input:text, #form1 select, textarea" ).each
    (
        function()
        {
            var nodeName = $( this ).prop( 'nodeName' );
            var nodeType = $( this ).prop( 'type' );
            if( this )
            {
                //var nodeName = $( "#" + this.id ).prop( 'nodeName' );
                //var nodeType = $( "#" + this.id ).prop( 'type' );
                switch( nodeName )
                {
                    case "SELECT":
                    break;
                    case "TEXTAREA":
                    break;
                    case "INPUT":
                        $( this ).autocomplete( { disabled: true } );
                    break;
                }
            }
        }
    );
}

convertirTextoTodosLosInputs = function()
{
    
    //$( "#form1 input:text, #form1 select, #form1 textarea, #form1 img" ).replaceWith
    $( "#form1 input:text, #form1 input:button, #form1 select" ).replaceWith
    (
        function () 
        {
            var nodeName = $( this ).prop( 'nodeName' );
            var nodeType = $( this ).prop( 'type' );
            if( this )
            {
                //var nodeName = $( "#" + this.id ).prop( 'nodeName' );
                //var nodeType = $( "#" + this.id ).prop( 'type' );
                switch( nodeName )
                {
                    case "SELECT":

                        //return '<label class=labelData >' + $( "#" + this.id + " option:selected" ).text() + '</label>';
                        return '<label class=labelData >' + $( this ).children("option:selected").val() + '</label>';

                    break;
                    case "TEXTAREA":
                    case "INPUT":
                        switch( nodeType )
                        {
                            case "hidden":
                                pr( nodeType );
                                
                                return true;
                            break;
                            case "textarea":
                            case "text":
                                return '<label class=labelData >' + $( this ).val() + '</label>';
                            break;
                            case "button":
                                $( this ).remove();
                            break;
                            case "checkbox":
                                if( $( this ).is( ':checked' ) )
                                {
                                    return "<input type='checkbox' checked disabled />";
                                }
                                else
                                {
                                    return "<input type='checkbox' disabled />";
                                }
                            break;
                        }
                    break;
                }
                return '<label class=labelData >&nbsp;</label>';
            }
            else
            {                
                return '<label class=labelData >' + $( this ).val() + '</label>';
            }
        }
    );
}
</script>

<script>
executeFindDetail();
</script>

<?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_PREPARACION ){ ?>
<script>
//ESCAPE, DETECTA EL F5, CTRL+F5
$( document ).bind
(
    'keyup', 
    function( e ) 
    {
        //console.log( e.which );
        if( e.which === 116 ) 
        {
           
        }
        if( e.which === 82 && e.ctrlKey ) 
        {
           
        }
        if( e.which === 107 ) //tecla +
        {
            openPopup();
        }
        if( e.which === 119 ) 
        {
           
        }
        if( e.which === 27 ) //ESCAPE
        {
            $( "#CodigoBarras" ).focus();
            executeFindDetail();
        }
    }
);
$( "#CodigoBarras" ).focus();
</script>
<?php } ?>

<script>
//AHORA SE ABRE EL POPUP DE IMPRESION SOLO POR TICKET
<?php if( $o_VTA_DocumentoBN->getEstado() == VTA_DocumentoBN::ESTADO_CERRADO ){ ?>
    <?php if( $o_VTA_DocumentoBN->getIdTipoDocumento() == "TB" || $o_VTA_DocumentoBN->getIdTipoDocumento() == "TF" ){ ?>
    window.open('<?=buildUrl( 'pro/printTicket', 's_TipoProc=dlt&i_Id='.$o_VTA_DocumentoBN->getIdConcat() )?>', '_blank', 'height=600,width=330, scrollbars=yes, Resizable=no, Menubar=no');
    <?php } ?>
    convertirTextoTodosLosInputs();
<?php } ?>
</script>